callBackUrl parameter so your service can receive completion notifications instead of polling for task status.| Mode | When | duration | Other assets allowed |
|---|---|---|---|
| A Text / reference images | No first_frame_url, no video_list | Required, integer 3–15 | image_urls |
| B First frame only | first_frame_url set, no last_frame_url | Required, integer 3–15 | None (see exclusions) |
| C First and last frame | Both first_frame_url and last_frame_url | Required, integer 3–10 | None (see exclusions) |
| D Video edit | video_list set | Do not send | image_urls |
first_frame_url or last_frame_url is set):last_frame_url aloneimage_urls or video_list at the same timenumber of reference images
+ (2 if a video is present)
≤ 7image_urls max 6.curl --location 'https://api.kie.ai/api/v1/jobs/createTask' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "google/gemini-omni-flash-1-2",
"callBackUrl": "https://your-domain.com/api/callback",
"input": {
"prompt": "The character walks through a rainy street at night, neon reflections",
"duration": 8,
"aspect_ratio": "9:16",
"resolution": "720p",
"image_urls": [
"https://example.com/ref1.png",
"https://example.com/ref2.png"
]
}
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "task_gemini_1765180586443"
}
}